/**
 * @brief stores a single user input (printable and function keys)
 * @author Christian Burger (christian@krikkel.de)
 */

#ifndef F0E30ED4_3883_40D6_A6EE_08BA4DF9E92E
#define F0E30ED4_3883_40D6_A6EE_08BA4DF9E92E

#include <ncursesw/cursesw.h>
#include <vterm_keycodes.h>

namespace krikkel::NCursesPtyWindow
{
    class SingleUserInput
    {
        public:
            SingleUserInput(int resultGetWchCall, wint_t input);

            bool isNormalKey();
            bool isFunctionKey();
            VTermKey mapKeyNcursesToVTerm();
            wint_t getRawInput();

        private:
            wint_t input;
            int resultGetWchCall;
            void debug();
    };
}

#endif /* F0E30ED4_3883_40D6_A6EE_08BA4DF9E92E */
